Skip to Content
FlowVerifyDevelopers
API referenceRecipients

Update a recipient on a draft envelope

Scope envelopes:write. Drafts only.

Authorization

apiKey
headerAuthorizationBearer <fv_live_… or fv_test_…>

Path Parameters

id*string
Formatuuid
recipientId*string
Formatuuid

Request Body

application/json
  1. body
name*string
Lengthlength <= 200
email*string
Formatemail
role?string
Default"sign"
Value in"sign""approve""copy"
order?integer

Position when send_in_order is true

Range1 <= value <= 100
phone?string

E.164 (+14155552671); required when auth.sms_otp is true

Lengthlength <= 30
language?string
Lengthlength <= 50
private_note?string

Shown only to this recipient

Lengthlength <= 2000
auth?

Response Body

The updated recipient

application/json
  1. response
success*boolean
request_id*string
Formatuuid
data?
Example Request
curl -X PATCH 'https://api.flowverify.co/v1/envelopes/497f6eca-6276-4993-bfeb-53cbbbba6f08/recipients/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "email": "[email protected]"}'
Example Response
{  "success": true,  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846",  "data": {    "object": "recipient",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "email": "string",    "phone": "string",    "role": "sign",    "order": 0,    "status": "pending",    "language": "string",    "auth": {      "email_otp": true,      "sms_otp": true    },    "sent_at": "2019-08-24T14:15:22Z",    "viewed_at": "2019-08-24T14:15:22Z",    "signed_at": "2019-08-24T14:15:22Z",    "declined_at": "2019-08-24T14:15:22Z",    "decline_reason": "string"  }}